Sync with portage [Tue May 29 07:56:22 MSK 2012].

mhiretskiy
root 12 years ago
parent 11a6da6ba6
commit 32bb81ec58

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-sh/eselect-sh-0.3.ebuild,v 1.9 2012/05/16 15:32:07 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-sh/eselect-sh-0.3.ebuild,v 1.10 2012/05/28 16:46:58 armin76 Exp $
EAPI=4
@ -10,7 +10,7 @@ SRC_URI="mirror://github/mgorny/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~ppc ~s390 ~sh ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~ppc s390 sh sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
src_install() {

@ -1,2 +1 @@
DIST python-updater-0.10.tar.bz2 9245 RMD160 664a6e0ceecb3cd8f5bbcf1fd3774b87791bf2af SHA1 bd62b25d58fc16f640be92aaf9843644360fb767 SHA256 7defcf844e3751ce0ead132116b727f947715c7545a7a2f8ffba7cf375213520
DIST python-updater-0.9.tar.bz2 7789 RMD160 5da6945368186fd7eb9efb37b6b81ebe7660fc58 SHA1 f64e11d4f106088c7a4bf866ba0be1a2b831cd9f SHA256 a4b065c264e1909e1d6a7f9a0d5dacce224f946468313e34e8775df0b6689384

@ -1,11 +0,0 @@
--- a/python-updater 2011-08-29 07:20:35.000000000 +0000
+++ b/python-updater 2011-08-29 07:21:08.000000000 +0000
@@ -61,6 +61,8 @@
EBUILD="1"
source /etc/init.d/functions.sh
+PATH=/usr/lib/portage/bin/ebuild-helpers:$PATH
+
# portage variables
PKG_DBDIR=/var/db/pkg

@ -1,45 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/python-updater/python-updater-0.10-r1.ebuild,v 1.1 2012/03/02 16:00:16 naota Exp $
inherit eutils
if [[ "${PV}" == "9999" ]]; then
inherit subversion
fi
DESCRIPTION="Script used to reinstall Python packages after changing of active Python versions"
HOMEPAGE="http://www.gentoo.org/proj/en/Python/"
if [[ "${PV}" == "9999" ]]; then
SRC_URI=""
ESVN_REPO_URI="https://gentoo-progress.googlecode.com/svn/projects/python-updater/trunk"
else
SRC_URI="http://people.apache.org/~Arfrever/gentoo/${P}.tar.bz2"
fi
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND="$([[ "${PV}" == "9999" ]] && echo "sys-apps/help2man")"
RDEPEND="dev-lang/python
|| ( >=sys-apps/portage-2.1.6 >=sys-apps/paludis-0.56.0 )"
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-expand-aliases.patch
}
src_compile() {
if [[ "${PV}" == "9999" ]]; then
emake ${PN}.1 || die "Generation of man page failed"
fi
}
src_install() {
dosbin ${PN} || die "dosbin failed"
doman ${PN}.1 || die "doman failed"
dodoc AUTHORS || die "dodoc failed"
}

@ -1,30 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/python-updater/python-updater-0.9-r1.ebuild,v 1.1 2011/08/29 10:28:31 naota Exp $
inherit eutils
DESCRIPTION="Script used to reinstall Python packages after changing of active Python versions"
HOMEPAGE="http://www.gentoo.org/proj/en/Python"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND=""
RDEPEND="dev-lang/python
|| ( >=sys-apps/portage-2.1.6 >=sys-apps/paludis-0.56.0 )"
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-sed.patch
}
src_install() {
dosbin ${PN} || die "dosbin failed"
doman ${PN}.1 || die "doman failed"
dodoc AUTHORS || die "dodoc failed"
}

@ -1,22 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/python-updater/python-updater-0.9.ebuild,v 1.10 2011/08/06 16:59:42 hwoarang Exp $
DESCRIPTION="Script used to reinstall Python packages after changing of active Python versions"
HOMEPAGE="http://www.gentoo.org/proj/en/Python"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND=""
RDEPEND="dev-lang/python
|| ( >=sys-apps/portage-2.1.6 >=sys-apps/paludis-0.56.0 )"
src_install() {
dosbin ${PN} || die "dosbin failed"
doman ${PN}.1 || die "doman failed"
dodoc AUTHORS || die "dodoc failed"
}

@ -12,3 +12,5 @@ DIST spideroak-bin-4.3.9928_amd64.deb 24573378 RMD160 145b5974ddec0d875df80e805e
DIST spideroak-bin-4.3.9928_x86.deb 23976484 RMD160 cb877ceee62f86256ef2e2c4b95e471b2ab510b6 SHA1 d2a0522109dc7f0611bff957b8709dca92661490 SHA256 7fb9dfb05c0ca68eccd035152aa4316036c9b1119ef7f6406788eb65c10f30cb
DIST spideroak-bin-4.5.9939_amd64.deb 24617154 RMD160 4fa9248b73a09b58caf3b596225f237992609bbf SHA1 4015cea9ea460da6ac35538197705a69293f02b8 SHA256 4cd96643b41095fde9cd04ec24617f4b82b8af7ae0fb9c8ebe4d1448f6e5c23c
DIST spideroak-bin-4.5.9939_x86.deb 24019228 RMD160 b5d76947106485310eef425afff860ddd7e9b847 SHA1 8f358e679bc9aa2eef058d8cebffa71ca125d14e SHA256 5b25b1663a92a66d7de17832a4d3bd911f5b192e67c3bb5bcd23044726b27233
DIST spideroak-bin-4.5.9941_amd64.deb 24625808 RMD160 ca486e04eb35ab6224d5fc32421416d3b8554169 SHA1 f14e6eed76c5084b20e4e6a389802a160457b538 SHA256 9426dcc8c8fa59fa2cb40f3688aac304439aeb0c61fcee0c2b01f66a0550705c
DIST spideroak-bin-4.5.9941_x86.deb 24026748 RMD160 61ad6e99d5a97eaf4b63f6daa519c8ce82f0a12d SHA1 b621493c5b6eaf7a45e2d836e82e0eab72cb8ea8 SHA256 308942ee3094dc8ea33752c6cbe06d1b26e0b70dda651b25c20f30238d85facc

@ -0,0 +1,156 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/spideroak-bin/spideroak-bin-4.5.9941.ebuild,v 1.1 2012/05/29 01:35:36 blueness Exp $
EAPI="4"
inherit eutils versionator
REV=$(get_version_component_range 3)
SRC_URI_BASE="https://spideroak.com/directdownload?platform=ubuntulucid"
DESCRIPTION="An easy, secure and consolidated free online backup, storage, access and sharing system."
HOMEPAGE="https://spideroak.com"
SRC_URI="x86? ( ${SRC_URI_BASE}&arch=i386&revision=${REV} -> ${P}_x86.deb )
amd64? ( ${SRC_URI_BASE}&arch=x86_64&revision=${REV} -> ${P}_amd64.deb )"
RESTRICT="mirror strip"
LICENSE="spideroak"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="dbus headless system-libs"
SSL_SLOT="0.9.8"
DEPEND=""
RDEPEND="
dbus? ( sys-apps/dbus )
!headless? (
media-libs/fontconfig
media-libs/freetype:2
dev-libs/glib:2
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libXext
x11-libs/libXmu
x11-libs/libXrender
x11-libs/libXt
)
system-libs? (
dev-libs/openssl:$SSL_SLOT
net-misc/curl
>=sys-devel/gcc-4
dev-libs/glib:2
dev-libs/libpcre
media-libs/libpng:1.2
x11-libs/qt-core
x11-libs/qt-gui
dev-db/sqlite:3
net-libs/libssh2
sys-libs/zlib
dev-lang/python:2.7
dev-python/pycurl
)
"
S=${WORKDIR}
QA_PREBUILT="*"
src_unpack() {
unpack ${A}
unpack ./data.tar.gz
rm -f control.tar.gz data.tar.gz debian-binary
rm -f usr/share/doc/spideroak/copyright
}
src_prepare() {
epatch "${FILESDIR}"/opt-path.patch
use headless && epatch "${FILESDIR}"/headless.patch
# Remove bundled libraries/plugins/python interpreter. Please keep this
# mapping in sync with the RDEPEND system-libs? ( atoms ) above, and the
# list of deleted files below
#
# libcrypto.so.0.$SSL_SLOT => dev-libs/openssl:$SSL_SLOT
# libssl.so.$SSL_SLOT => dev-libs/openssl:$SSL_SLOT
# libcurl.so* => net-misc/curl
# libexpat.so* => dev-libs/expat
# libgcc_s.so => >=sys-devel/gcc-4
# libstdc++.so* => >=sys-devel/gcc-4
# libpcre.so* => dev-libs/libpcre
# libpng12* => media-libs/libpng:1.2
# libQt*.so* => x11-libs/qt-core x11-libs/qt-gui
# libsqlite3.so* => dev-db/sqlite:3
# libssh2.so* => net-libs/libssh2
# libz.so* => sys-libs/zlib
#
# pycurl.so => dev-python/pycurl
#
# usr/lib/SpiderOak/py pyexpat.so => dev-lang/python:2.7
#
if use system-libs; then
for lib in \
libcrypto.so.$SSL_SLOT \
libssl.so.$SSL_SLOT \
libcurl.so* \
libexpat.so* \
libgcc_s.so* \
libpcre.so* \
libpng12* \
libQt*.so* \
libsqlite3.so* \
libssh2.so* \
libstdc++.so* \
libz.so* \
pycurl.so \
pyexpat.so
do
rm usr/lib/SpiderOak/$lib || die "rm $lib failed"
done
# Remove bundled python interpreter => dev-lang/python:2.7
rm usr/lib/SpiderOak/py || die "rm py failed"
fi
}
src_install() {
#install the executable script
exeinto /usr/bin
doexe usr/bin/SpiderOak
#install the prebundled libraries
dodir /opt
cp -pPR usr/lib/SpiderOak "${ED}"/opt/
#install the config files
rm -rf etc/apt
use dbus || rm -rf etc/dbus-1
insinto /
doins -r etc
#install the changelog
insinto /usr/share/doc/${P}
doins usr/share/doc/spideroak/changelog.gz
if ! use headless ; then
domenu usr/share/applications/spideroak.desktop
doicon usr/share/pixmaps/spideroak.png
fi
}
pkg_postinst() {
if use headless; then
einfo "For instructions on running SpiderOak without a GUI, please read the FAQ:"
einfo " https://spideroak.com/faq/questions/62/how_do_i_install_spideroak_on_a_headless_linux_server/"
einfo " https://spideroak.com/faq/questions/67/how_can_i_use_spideroak_from_the_commandline/"
fi
if use system-libs; then
einfo "You have chosen to use your system libraries rather than the precompiled libraries that"
einfo "SpiderOak bundles with their software. While upstream discourages this (see bug #398313),"
einfo "there are advantages to using the system libraries, like reducing the size of the package"
einfo "on your hard drive. For more reasons why bundled librars are not a good idea, see"
einfo " https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries"
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.3.ebuild,v 1.9 2012/05/03 20:00:39 jdhore Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/lyx/lyx-2.0.3.ebuild,v 1.10 2012/05/28 15:58:17 armin76 Exp $
EAPI=3
@ -20,7 +20,7 @@ SRC_URI="ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 hppa ~ia64 ppc ~ppc64 ~sparc x86 ~x64-macos ~x86-macos"
KEYWORDS="alpha amd64 hppa ia64 ppc ~ppc64 sparc x86 ~x64-macos ~x86-macos"
IUSE="cups debug nls +latex xetex luatex monolithic-build html rtf dot docbook dia subversion rcs svg gnumeric +hunspell aspell enchant"
LANGS="ar ca cs de da el en es eu fi fr gl he hu ia id it ja nb nn pl pt ro ru sk sr sv tr uk zh_CN zh_TW"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/layman/layman-1.4.2-r3.ebuild,v 1.5 2012/05/23 12:59:57 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/app-portage/layman/layman-1.4.2-r3.ebuild,v 1.6 2012/05/28 18:03:33 maekke Exp $
EAPI="2"
PYTHON_DEPEND="2:2.5"
@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ppc ppc64 ~sparc x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ppc ppc64 ~sparc x86 ~x86-fbsd"
IUSE="bazaar cvs darcs git mercurial subversion test"
COMMON_DEPS="dev-lang/python"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.5.7.1.ebuild,v 1.7 2012/05/24 13:28:01 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-shells/dash/dash-0.5.7.1.ebuild,v 1.8 2012/05/28 18:16:50 maekke Exp $
EAPI="2"
@ -18,7 +18,7 @@ SRC_URI="http://gondor.apana.org.au/~herbert/dash/files/${PN}-${DEB_PV}.tar.gz
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86"
IUSE="libedit static"
RDEPEND="!static? ( libedit? ( dev-libs/libedit ) )"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/xmlstarlet/xmlstarlet-1.3.1.ebuild,v 1.2 2012/05/13 22:30:06 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/xmlstarlet/xmlstarlet-1.3.1.ebuild,v 1.4 2012/05/28 16:28:19 armin76 Exp $
EAPI="4"
@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/xmlstar/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
RDEPEND=">=dev-libs/libxml2-2.6.27

@ -1,2 +1 @@
DIST gentoo-syntax-20101212.tar.bz2 18927 RMD160 f17bc03506037dd1c5236ec97a3292b4a4e65f5a SHA1 a1d29bb9cc93b1307ef4c665127d4fceacfa363d SHA256 70bb59acb00a726941e43d8f99d63ee9feb9335de9eb6d36e66917f2a2d3416f
DIST gentoo-syntax-20120109.tar.bz2 19526 RMD160 17630802e8bc1c59be9e2d37b11e7584a9c99d1d SHA1 b2d478ce3646ea8126ea9c25e5223b4d2e810744 SHA256 dabab1a569ec84286d15feb93652f044888d92c0e0c8c1f298f8dec80fcab4c5

@ -1,47 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-vim/gentoo-syntax/gentoo-syntax-20101212.ebuild,v 1.3 2011/05/03 09:34:13 grobian Exp $
inherit eutils vim-plugin
DESCRIPTION="vim plugin: Gentoo Ebuild, Eclass, GLEP, ChangeLog and Portage Files syntax highlighting, filetype and indent settings"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="vim"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="ignore-glep31"
VIM_PLUGIN_HELPFILES="gentoo-syntax"
VIM_PLUGIN_MESSAGES="filetype"
src_unpack() {
unpack ${A}
cd "${S}"
if use ignore-glep31 ; then
for f in ftplugin/*.vim ; do
ebegin "Removing UTF-8 rules from ${f} ..."
sed -i -e 's~\(setlocal fileencoding=utf-8\)~" \1~' ${f} \
|| die "waah! bad sed voodoo. need more goats."
eend $?
done
fi
}
pkg_postinst() {
vim-plugin_pkg_postinst
if use ignore-glep31 1>/dev/null ; then
ewarn "You have chosen to disable the rules which ensure GLEP 31"
ewarn "compliance. When editing ebuilds, please make sure you get"
ewarn "the character set correct."
else
elog "Note for developers and anyone else who edits ebuilds:"
elog " This release of gentoo-syntax now contains filetype rules to set"
elog " fileencoding for ebuilds and ChangeLogs to utf-8 as per GLEP 31."
elog " If you find this feature breaks things, please submit a bug and"
elog " assign it to vim@gentoo.org. You can use the 'ignore-glep31' USE"
elog " flag to remove these rules."
fi
echo
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/avrdude/avrdude-5.11.1.ebuild,v 1.5 2012/05/25 11:30:56 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/avrdude/avrdude-5.11.1.ebuild,v 1.6 2012/05/28 18:05:32 maekke Exp $
EAPI="4"
@ -16,7 +16,7 @@ SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 arm ~ppc ~ppc64 ~x86"
IUSE="doc ftdi ncurses readline"
RDEPEND="virtual/libusb:1

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/jffi/jffi-1.2.2.ebuild,v 1.1 2012/05/28 10:06:09 sera Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-java/jffi/jffi-1.2.2.ebuild,v 1.2 2012/05/28 19:33:58 sera Exp $
EAPI="4"
@ -9,7 +9,7 @@ JAVA_PKG_IUSE="doc source test"
inherit eutils java-pkg-2 java-ant-2 versionator vcs-snapshot
DESCRIPTION="An optimized Java interface to libffi"
HOMEPAGE="http://github.com/jnr/jffi"
HOMEPAGE="https://github.com/jnr/jffi"
SRC_URI="https://github.com/jnr/jffi/tarball/${PV} -> ${P}.tar.gz"
LICENSE="|| ( Apache-2.0 LGPL-3 )"

@ -1 +1,2 @@
DIST jnr-netdb-1.0.1.tar.gz 670834 RMD160 260fef6628e1ba0625fa2c0c2d32fddbb69ab1d5 SHA1 28ce799420e72468a686c028f5fc0a3c9266ef6b SHA256 654360f56c4a0131df293b6dcaa96618dfa9ded549180284dbaa20e6305d8906
DIST jnr-netdb-1.0.6.tar.gz 648348 RMD160 e21101e0c9720d7d218e9fa460c208dfe6fa3c85 SHA1 0d63eeea1b66bd3d153575e182eb32c0000b35ba SHA256 097d621cc5ac8550e1b1bcafc034bfadd9a7a307f7133b7b7fe5ffdf38782c4f

@ -0,0 +1,231 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- ====================================================================== -->
<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above. -->
<!-- ====================================================================== -->
<!-- ====================================================================== -->
<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
<!-- ====================================================================== -->
<!-- -->
<!-- Any modifications will be overwritten. -->
<!-- -->
<!-- Generated by Maven Ant Plugin on 5/28/12 5:31 PM -->
<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/ -->
<!-- -->
<!-- ====================================================================== -->
<project name="jnr-netdb-from-maven" default="package" basedir=".">
<!-- ====================================================================== -->
<!-- Build environment properties -->
<!-- ====================================================================== -->
<property file="maven-build.properties"/>
<property name="maven.build.finalName" value="jnr-netdb"/>
<property name="maven.build.dir" value="target"/>
<property name="maven.build.outputDir" value="${maven.build.dir}/classes"/>
<property name="maven.build.srcDir.0" value="src/main/java"/>
<property name="maven.build.resourceDir.0" value="src/main/resources"/>
<property name="maven.build.testOutputDir" value="${maven.build.dir}/test-classes"/>
<property name="maven.build.testDir.0" value="src/test/java"/>
<property name="maven.build.testResourceDir.0" value="src/test/resources"/>
<property name="maven.test.reports" value="${maven.build.dir}/test-reports"/>
<property name="maven.reporting.outputDirectory" value="${maven.build.dir}/site"/>
<property name="maven.settings.offline" value="false"/>
<property name="maven.settings.interactiveMode" value="true"/>
<!-- ====================================================================== -->
<!-- Defining classpaths -->
<!-- ====================================================================== -->
<path id="build.classpath">
</path>
<path id="build.test.classpath">
</path>
<!-- ====================================================================== -->
<!-- Cleaning up target -->
<!-- ====================================================================== -->
<target name="clean" description="Clean the output directory">
<delete dir="${maven.build.dir}"/>
</target>
<!-- ====================================================================== -->
<!-- Compilation target -->
<!-- ====================================================================== -->
<target name="compile" depends="get-deps" description="Compile the code">
<mkdir dir="${maven.build.outputDir}"/>
<javac destdir="${maven.build.outputDir}"
nowarn="false"
debug="true"
optimize="false"
deprecation="true"
target="1.1"
verbose="false"
fork="false"
source="1.3">
<src>
<pathelement location="${maven.build.srcDir.0}"/>
</src>
<classpath refid="build.classpath"/>
</javac>
</target>
<!-- ====================================================================== -->
<!-- Test-compilation target -->
<!-- ====================================================================== -->
<target name="compile-tests"
depends="compile"
description="Compile the test code"
unless="maven.test.skip">
<mkdir dir="${maven.build.testOutputDir}"/>
<javac destdir="${maven.build.testOutputDir}"
nowarn="false"
debug="true"
optimize="false"
deprecation="true"
target="1.1"
verbose="false"
fork="false"
source="1.3">
<src>
<pathelement location="${maven.build.testDir.0}"/>
</src>
<classpath>
<path refid="build.test.classpath"/>
<pathelement location="${maven.build.outputDir}"/>
</classpath>
</javac>
</target>
<!-- ====================================================================== -->
<!-- Run all tests -->
<!-- ====================================================================== -->
<target name="test"
depends="compile-tests, junit-missing"
unless="junit.skipped"
description="Run the test cases">
<mkdir dir="${maven.test.reports}"/>
<junit printSummary="yes" haltonerror="true" haltonfailure="true" fork="true" dir=".">
<sysproperty key="basedir" value="."/>
<formatter type="xml"/>
<formatter type="plain" usefile="false"/>
<classpath>
<path refid="build.test.classpath"/>
<pathelement location="${maven.build.outputDir}"/>
<pathelement location="${maven.build.testOutputDir}"/>
</classpath>
<batchtest todir="${maven.test.reports}" unless="test">
<fileset dir="${maven.build.testDir.0}">
<include name="**/Test*.java"/>
<include name="**/*Test.java"/>
<include name="**/*TestCase.java"/>
<exclude name="**/*Abstract*Test.java"/>
</fileset>
</batchtest>
<batchtest todir="${maven.test.reports}" if="test">
<fileset dir="${maven.build.testDir.0}">
<include name="**/${test}.java"/>
<exclude name="**/*Abstract*Test.java"/>
</fileset>
</batchtest>
</junit>
</target>
<target name="test-junit-present">
<available classname="junit.framework.Test" property="junit.present"/>
</target>
<target name="test-junit-status"
depends="test-junit-present">
<condition property="junit.missing">
<and>
<isfalse value="${junit.present}"/>
<isfalse value="${maven.test.skip}"/>
</and>
</condition>
<condition property="junit.skipped">
<or>
<isfalse value="${junit.present}"/>
<istrue value="${maven.test.skip}"/>
</or>
</condition>
</target>
<target name="junit-missing"
depends="test-junit-status"
if="junit.missing">
<echo>=================================== WARNING ===================================</echo>
<echo> JUnit is not present in your $ANT_HOME/lib directory. Tests not executed.</echo>
<echo>===============================================================================</echo>
</target>
<!-- ====================================================================== -->
<!-- Javadoc target -->
<!-- ====================================================================== -->
<target name="javadoc" description="Generates the Javadoc of the application">
<javadoc sourcepath="${maven.build.srcDir.0}"
packagenames="*"
destdir="${maven.reporting.outputDirectory}/apidocs"
access="protected"
old="false"
verbose="false"
version="true"
use="true"
author="true"
splitindex="false"
nodeprecated="false"
nodeprecatedlist="false"
notree="false"
noindex="false"
nohelp="false"
nonavbar="false"
serialwarn="false"
charset="ISO-8859-1"
linksource="false"
breakiterator="false"/>
</target>
<!-- ====================================================================== -->
<!-- Package target -->
<!-- ====================================================================== -->
<target name="package" depends="compile,test" description="Package the application">
<jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar"
compress="true"
index="false"
basedir="${maven.build.outputDir}"
excludes="**/package.html"/>
</target>
<!-- ====================================================================== -->
<!-- A dummy target for the package named after the type it creates -->
<!-- ====================================================================== -->
<target name="jar" depends="package" description="Builds the jar for the application"/>
<!-- ====================================================================== -->
<!-- Download dependencies target -->
<!-- ====================================================================== -->
<target name="test-offline">
<condition property="maven.mode.offline">
<equals arg1="${maven.settings.offline}" arg2="true"/>
</condition>
</target>
<target name="get-deps"
depends="test-offline"
description="Download all dependencies"
unless="maven.mode.offline">
</target>
</project>

@ -0,0 +1,54 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/jnr-netdb/jnr-netdb-1.0.6.ebuild,v 1.1 2012/05/28 17:55:54 sera Exp $
EAPI=4
JAVA_PKG_IUSE="doc source test"
inherit java-pkg-2 java-ant-2 vcs-snapshot
DESCRIPTION="Network services database access for java."
HOMEPAGE="https://github.com/jnr/jnr-netdb"
SRC_URI="https://github.com/jnr/${PN}/tarball/${PV} -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="1.0"
KEYWORDS="~amd64 ~x86"
IUSE=""
COMMON_DEP="
dev-java/jnr-ffi:0.7"
RDEPEND="${COMMON_DEP}
>=virtual/jre-1.5"
DEPEND="${COMMON_DEP}
>=virtual/jdk-1.5
test? (
dev-java/ant-junit
dev-java/junit:4
)"
java_prepare() {
find -name '*.jar' -exec rm -v {} + || die
cp "${FILESDIR}"/${PN}_maven-build.xml build.xml || die
}
JAVA_ANT_REWRITE_CLASSPATH="yes"
JAVA_ANT_CLASSPATH_TAGS="${JAVA_ANT_CLASSPATH_TAGS} javadoc"
JAVA_ANT_ENCODING="UTF-8"
EANT_GENTOO_CLASSPATH="jnr-ffi-0.7"
EANT_TEST_GENTOO_CLASSPATH="${EANT_GENTOO_CLASSPATH},junit-4"
src_test() {
java-pkg-2_src_test
}
src_install() {
java-pkg_dojar target/${PN}.jar
dodoc README
use doc && java-pkg_dojavadoc target/site/apidocs
use source && java-pkg_dosrc src/main/java/*
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/jnr-x86asm/jnr-x86asm-1.0.2.ebuild,v 1.1 2012/05/28 09:14:49 sera Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-java/jnr-x86asm/jnr-x86asm-1.0.2.ebuild,v 1.2 2012/05/28 19:35:56 sera Exp $
EAPI="4"
@ -9,8 +9,8 @@ JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-ant-2 vcs-snapshot
DESCRIPTION="A pure-java port of asmjit."
HOMEPAGE="http://github.com/jnr/jnr-x86asm"
SRC_URI="http://github.com/jnr/${PN}/tarball/${PV} -> ${P}.tar.gz"
HOMEPAGE="https://github.com/jnr/jnr-x86asm"
SRC_URI="https://github.com/jnr/${PN}/tarball/${PV} -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="1.0"

@ -11,3 +11,5 @@ DIST lucene-2.9.1-src.tar.gz 12459850 RMD160 dc8467e31c17038fae140831fa7a0c87bb9
DIST lucene-2.9.4-src.tar.gz 12494586 RMD160 da4229b7541cab1776a491c4bec86bbd15871c73 SHA1 bac4fdea0fcd18788d798f5cdd24fd975cca6b3f SHA256 2a8bd7c6f0632bc406bcec0091d286b3efd4743c2d45fd88b0d0d564281780cd
DIST lucene-3.0.0-src.tar.gz 12421467 RMD160 ff42a7084f7f3fc2e0bdd0f14c6fd96d4ef8dc03 SHA1 45e6c44c15eaaf866dffc81379279036eaec971f SHA256 661fc4eec33c2c509c1a53896da469304a51c5cc5ce51313d9f77f385c63346a
DIST lucene-3.0.3-src.tar.gz 12446839 RMD160 163a0d8130ef27c9b55bc055cdd4286c1e2e9e3b SHA1 68a312095b44f24dec253059f3abf314e19cce5e SHA256 91365fe5af0279b7b6300f17033580746c90272417665d9572db1c1a9d1ba37e
DIST lucene-3.4.0-src.tgz 39329123 RMD160 1490f62672a1d842f50792c238320adf66c72e0d SHA1 da71a706438d9ac2d5efad8e373f0ffba3d582da SHA256 e0471a61085b4aac8db831b5c981262d972a611e4fea491c4e188a9ee730ff2a
DIST lucene-3.5.0-src.tgz 39564076 RMD160 6958b7df2e1e8f83eaa5197a545ce5a2cad38436 SHA1 06969f57ad93f31e173419b6991d117b5f111624 SHA256 814dbfcd91b76522ae350817c306be8c4a72dfe8c809540be4b20209acfb9a27

@ -0,0 +1,106 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/lucene/lucene-3.4.0.ebuild,v 1.1 2012/05/28 23:21:36 robbat2 Exp $
EAPI="3"
JAVA_PKG_IUSE="doc source test contrib"
JAVA_PKG_BSFIX_ALL="no"
JAVA_PKG_BSFIX_NAME="build.xml common-build.xml contrib-build.xml"
#JAVA_PKG_DEBUG=1
inherit java-pkg-2 java-ant-2
DESCRIPTION="High-performance, full-featured text search engine library
written entirely in Java"
HOMEPAGE="http://lucene.apache.org"
SRC_URI="mirror://apache/lucene/java/${PV}/${P}-src.tgz"
LICENSE="Apache-2.0"
SLOT="3.4"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=">=virtual/jdk-1.5
dev-java/ant-nodeps:0
dev-java/junit:4
dev-java/ant-junit:0
contrib? (
dev-java/jakarta-regexp:1.4
dev-java/commons-compress:0
dev-java/commons-collections:0
dev-java/commons-digester:0
dev-java/commons-logging:0
dev-java/commons-beanutils:1.7
)"
RDEPEND=">=virtual/jdk-1.5"
#dev-java/javacc:0 - no longer needed, files are prebuilt
java_prepare() {
#find -name "*.jar" -type f | xargs rm -v
sed -i \
-e '/-Xmax/ d' \
common-build.xml
# FIXME: contrib builds do not work if junit not included
#java-pkg_jar-from --build-only --into lib \
# junit-4 junit.jar junit-4.7.jar
java-pkg_jar-from --build-only --into lib \
ant-core ant.jar ant-1.7.1.jar
java-pkg_jar-from --build-only --into lib \
ant-junit ant-junit.jar ant-junit-1.7.1.jar
if use contrib ; then
cd contrib/
java-pkg_jar-from --build-only --into queries/lib \
jakarta-regexp:1.4 jakarta-regexp.jar jakarta-regexpt-1.4.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-compress commons-compress.jar commons-compress-1.1.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-collections commons-collections.jar commons-collections-3.1.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-digester commons-digester.jar commons-digester-1.7.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-logging commons-logging.jar commons-logging-1.0.4.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-beanutils:1.7 commons-beanutils.jar commons-beanutils-1.7.0.jar
fi
}
src_compile() {
# FIXME: docs do not build if behind a proxy, -autoproxy does not work
ANT_TASKS="none" eant -Dversion=${PV} \
-Dfailonjavadocwarning=false \
jar-core $(use_doc javadocs-core )
if use contrib ; then
ANT_TASKS="none" eant -Dversion=${PV} \
-Dfailonjavadocwarning=false \
build-contrib $(use_doc javadocs-all )
fi
}
src_test() {
# FIXME: test does not get run, even when selected
java-ant_rewrite-classpath common-build.xml
EANT_GENTOO_CLASSPATH="junit ant-core ant-junit" ANT_TASKS="ant-junit" eant test-core
}
src_install() {
dodoc CHANGES.txt README.txt NOTICE.txt CHANGES.txt \
JRE_VERSION_MIGRATION.txt|| die
java-pkg_newjar build/${PN}-core-${PV}.jar ${PN}-core.jar
if use contrib; then
for i in `find build/contrib -name \*-${PV}.jar`
do
j=${i##*/}
java-pkg_newjar $i ${j%%-${PV}.jar}.jar
done
fi
if use doc; then
dohtml -r docs/* || die
java-pkg_dohtml -r build/docs/api
fi
if use source; then
java-pkg_dosrc src/java/org || die
if use contrib; then
java-pkg_dosrc contrib || die
fi
fi
}

@ -0,0 +1,106 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/lucene/lucene-3.5.0.ebuild,v 1.1 2012/05/28 23:21:36 robbat2 Exp $
EAPI="3"
JAVA_PKG_IUSE="doc source test contrib"
JAVA_PKG_BSFIX_ALL="no"
JAVA_PKG_BSFIX_NAME="build.xml common-build.xml contrib-build.xml"
#JAVA_PKG_DEBUG=1
inherit java-pkg-2 java-ant-2
DESCRIPTION="High-performance, full-featured text search engine library
written entirely in Java"
HOMEPAGE="http://lucene.apache.org"
SRC_URI="mirror://apache/lucene/java/${PV}/${P}-src.tgz"
LICENSE="Apache-2.0"
SLOT="3.5"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=">=virtual/jdk-1.5
dev-java/ant-nodeps:0
dev-java/junit:4
dev-java/ant-junit:0
contrib? (
dev-java/jakarta-regexp:1.4
dev-java/commons-compress:0
dev-java/commons-collections:0
dev-java/commons-digester:0
dev-java/commons-logging:0
dev-java/commons-beanutils:1.7
)"
RDEPEND=">=virtual/jdk-1.5"
#dev-java/javacc:0 - no longer needed, files are prebuilt
java_prepare() {
#find -name "*.jar" -type f | xargs rm -v
sed -i \
-e '/-Xmax/ d' \
common-build.xml
# FIXME: contrib builds do not work if junit not included
#java-pkg_jar-from --build-only --into lib \
# junit-4 junit.jar junit-4.7.jar
java-pkg_jar-from --build-only --into lib \
ant-core ant.jar ant-1.7.1.jar
java-pkg_jar-from --build-only --into lib \
ant-junit ant-junit.jar ant-junit-1.7.1.jar
if use contrib ; then
cd contrib/
java-pkg_jar-from --build-only --into queries/lib \
jakarta-regexp:1.4 jakarta-regexp.jar jakarta-regexpt-1.4.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-compress commons-compress.jar commons-compress-1.1.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-collections commons-collections.jar commons-collections-3.1.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-digester commons-digester.jar commons-digester-1.7.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-logging commons-logging.jar commons-logging-1.0.4.jar
java-pkg_jar-from --build-only --into benchmark/lib \
commons-beanutils:1.7 commons-beanutils.jar commons-beanutils-1.7.0.jar
fi
}
src_compile() {
# FIXME: docs do not build if behind a proxy, -autoproxy does not work
ANT_TASKS="none" eant -Dversion=${PV} \
-Dfailonjavadocwarning=false \
jar-core $(use_doc javadocs-core )
if use contrib ; then
ANT_TASKS="none" eant -Dversion=${PV} \
-Dfailonjavadocwarning=false \
build-contrib $(use_doc javadocs-all )
fi
}
src_test() {
# FIXME: test does not get run, even when selected
java-ant_rewrite-classpath common-build.xml
EANT_GENTOO_CLASSPATH="junit ant-core ant-junit" ANT_TASKS="ant-junit" eant test-core
}
src_install() {
dodoc CHANGES.txt README.txt NOTICE.txt CHANGES.txt \
JRE_VERSION_MIGRATION.txt|| die
java-pkg_newjar build/${PN}-core-${PV}.jar ${PN}-core.jar
if use contrib; then
for i in `find build/contrib -name \*-${PV}.jar`
do
j=${i##*/}
java-pkg_newjar $i ${j%%-${PV}.jar}.jar
done
fi
if use doc; then
dohtml -r docs/* || die
java-pkg_dohtml -r build/docs/api
fi
if use source; then
java-pkg_dosrc src/java/org || die
if use contrib; then
java-pkg_dosrc contrib || die
fi
fi
}

@ -6,4 +6,7 @@
<email>robbat2@gentoo.org</email>
<description>Maintainer for actual Lucene issues.</description>
</maintainer>
<use>
<flag name='contrib'>Include extra functionality from contrib/</flag>
</use>
</pkgmetadata>

@ -1,3 +1 @@
DIST expat-2.0.1.tar.gz 446456 RMD160 d31bcb152adaff9e358968be1ea901e1b4ed3b2f SHA1 663548c37b996082db1f2f2c32af060d7aa15c2d SHA256 847660b4df86e707c9150e33cd8c25bc5cd828f708c7418e765e3e983a2e5e93
DIST expat-2.1.0-beta3.tar.gz 562612 RMD160 2a03f16494c61fe7eb0e5e3081a4f68f78f3610d SHA1 956e05916d4840c46ca9f5377a01b13cafc4b510 SHA256 69d2ec90d46b1308ffd2f4e8f2f269124951f9c12314d422df8f47fe315f2aa6
DIST expat-2.1.0.tar.gz 562616 RMD160 bffca083d29fe7688f106a902ef9b909c3321c5d SHA1 b08197d146930a5543a7b99e871cba3da614f6f0 SHA256 823705472f816df21c8f6aa026dd162b280806838bb55b3432b0fb1fcca7eb86

@ -1,91 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/expat/expat-2.0.1-r6.ebuild,v 1.8 2012/03/15 02:29:18 ssuominen Exp $
EAPI=4
inherit eutils libtool toolchain-funcs
DESCRIPTION="XML parsing libraries"
HOMEPAGE="http://expat.sourceforge.net/"
SRC_URI="mirror://sourceforge/expat/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="elibc_FreeBSD examples static-libs unicode"
src_prepare() {
epatch \
"${FILESDIR}"/${P}-check_stopped_parser.patch \
"${FILESDIR}"/${P}-fix_bug_1990430.patch \
"${FILESDIR}"/${P}-CVE-2009-3560-revised.patch
elibtoolize
epunt_cxx
mkdir "${S}"-build{,u,w} || die
}
src_configure() {
local myconf="$(use_enable static-libs static)"
pushd "${S}"-build >/dev/null
ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
CPPFLAGS="${CPPFLAGS} -DXML_UNICODE" ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
pushd "${S}"-buildw >/dev/null
CFLAGS="${CFLAGS} -fshort-wchar" CPPFLAGS="${CPPFLAGS} -DXML_UNICODE_WCHAR_T" ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
fi
}
src_compile() {
pushd "${S}"-build >/dev/null
emake
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
emake buildlib LIBRARY=libexpatu.la
popd >/dev/null
pushd "${S}"-buildw >/dev/null
emake buildlib LIBRARY=libexpatw.la
popd >/dev/null
fi
}
src_install() {
dodoc Changes README
dohtml doc/*
if use examples; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
fi
pushd "${S}"-build >/dev/null
emake install DESTDIR="${D}"
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
emake installlib DESTDIR="${D}" LIBRARY=libexpatu.la
popd >/dev/null
pushd "${S}"-buildw >/dev/null
emake installlib DESTDIR="${D}" LIBRARY=libexpatw.la
popd >/dev/null
fi
use static-libs || rm -f "${ED}"usr/lib*/libexpat{,u,w}.la
# libgeom in /lib and ifconfig in /sbin require it on FreeBSD since we
# stripped the libbsdxml copy starting from freebsd-lib-8.2-r1
use elibc_FreeBSD && gen_usr_ldscript -a expat{,u,w}
}

@ -1,93 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/expat/expat-2.1.0-r1.ebuild,v 1.2 2012/04/26 12:16:04 aballier Exp $
EAPI=4
inherit eutils libtool multilib toolchain-funcs
DESCRIPTION="XML parsing libraries"
HOMEPAGE="http://expat.sourceforge.net/"
SRC_URI="mirror://sourceforge/expat/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="elibc_FreeBSD examples static-libs unicode"
src_prepare() {
elibtoolize
epunt_cxx
mkdir "${S}"-build{,u,w} || die
}
src_configure() {
local myconf="$(use_enable static-libs static)"
pushd "${S}"-build >/dev/null
ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
CPPFLAGS="${CPPFLAGS} -DXML_UNICODE" ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
pushd "${S}"-buildw >/dev/null
CFLAGS="${CFLAGS} -fshort-wchar" CPPFLAGS="${CPPFLAGS} -DXML_UNICODE_WCHAR_T" ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
fi
}
src_compile() {
pushd "${S}"-build >/dev/null
emake
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
emake buildlib LIBRARY=libexpatu.la
popd >/dev/null
pushd "${S}"-buildw >/dev/null
emake buildlib LIBRARY=libexpatw.la
popd >/dev/null
fi
}
src_install() {
dodoc Changes README
dohtml doc/*
if use examples; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
fi
pushd "${S}"-build >/dev/null
emake install DESTDIR="${D}"
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
emake installlib DESTDIR="${D}" LIBRARY=libexpatu.la
popd >/dev/null
pushd "${S}"-buildw >/dev/null
emake installlib DESTDIR="${D}" LIBRARY=libexpatw.la
popd >/dev/null
pushd "${ED}"/usr/$(get_libdir)/pkgconfig >/dev/null
cp expat.pc expatu.pc
sed -i -e '/^Libs/s:-lexpat:&u:' expatu.pc || die
cp expat.pc expatw.pc
sed -i -e '/^Libs/s:-lexpat:&w:' expatw.pc || die
popd >/dev/null
fi
rm -f "${ED}"usr/lib*/libexpat{,u,w}.la
# libgeom in /lib and ifconfig in /sbin require libexpat on FreeBSD since
# we stripped the libbsdxml copy starting from freebsd-lib-8.2-r1
use elibc_FreeBSD && gen_usr_ldscript -a expat
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/expat/expat-2.1.0.ebuild,v 1.6 2012/04/21 12:16:46 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/expat/expat-2.1.0.ebuild,v 1.7 2012/05/28 15:49:06 armin76 Exp $
EAPI=4
inherit eutils libtool toolchain-funcs
@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/expat/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="elibc_FreeBSD examples static-libs unicode"
src_prepare() {

@ -1,95 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/expat/expat-2.1.0_beta3.ebuild,v 1.9 2012/04/08 14:55:11 armin76 Exp $
EAPI=4
inherit eutils libtool toolchain-funcs
DESCRIPTION="XML parsing libraries"
HOMEPAGE="http://expat.sourceforge.net/"
SRC_URI="mirror://sourceforge/expat/${P/_/-}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="elibc_FreeBSD examples static-libs unicode"
src_unpack() {
if [[ ${PV} == *beta* ]]; then
unpack ${A}
mv ${PN}-* "${S}"
else
default
fi
}
src_prepare() {
elibtoolize
epunt_cxx
mkdir "${S}"-build{,u,w} || die
}
src_configure() {
local myconf="$(use_enable static-libs static)"
pushd "${S}"-build >/dev/null
ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
CPPFLAGS="${CPPFLAGS} -DXML_UNICODE" ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
pushd "${S}"-buildw >/dev/null
CFLAGS="${CFLAGS} -fshort-wchar" CPPFLAGS="${CPPFLAGS} -DXML_UNICODE_WCHAR_T" ECONF_SOURCE="${S}" econf ${myconf}
popd >/dev/null
fi
}
src_compile() {
pushd "${S}"-build >/dev/null
emake
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
emake buildlib LIBRARY=libexpatu.la
popd >/dev/null
pushd "${S}"-buildw >/dev/null
emake buildlib LIBRARY=libexpatw.la
popd >/dev/null
fi
}
src_install() {
dodoc Changes README
dohtml doc/*
if use examples; then
insinto /usr/share/doc/${PF}/examples
doins examples/*.c
fi
pushd "${S}"-build >/dev/null
emake install DESTDIR="${D}"
popd >/dev/null
if use unicode; then
pushd "${S}"-buildu >/dev/null
emake installlib DESTDIR="${D}" LIBRARY=libexpatu.la
popd >/dev/null
pushd "${S}"-buildw >/dev/null
emake installlib DESTDIR="${D}" LIBRARY=libexpatw.la
popd >/dev/null
fi
rm -f "${ED}"usr/lib*/libexpat{,u,w}.la
# libgeom in /lib and ifconfig in /sbin require it on FreeBSD since we
# stripped the libbsdxml copy starting from freebsd-lib-8.2-r1
use elibc_FreeBSD && gen_usr_ldscript -a expat{,u,w}
}

@ -1,16 +0,0 @@
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-3560
http://bugs.gentoo.org/show_bug.cgi?id=303727
http://cvs.fedoraproject.org/viewvc/rpms/expat/devel/
--- lib/xmlparse.c
+++ lib/xmlparse.c
@@ -3703,6 +3703,9 @@ doProlog(XML_Parser parser,
return XML_ERROR_UNCLOSED_TOKEN;
case XML_TOK_PARTIAL_CHAR:
return XML_ERROR_PARTIAL_CHAR;
+ case -XML_TOK_PROLOG_S:
+ tok = -tok;
+ break;
case XML_TOK_NONE:
#ifdef XML_DTD
/* for internal PE NOT referenced between declarations */

@ -1,14 +0,0 @@
Fix segmentation fault in python tests
http://bugs.gentoo.org/197043
--- lib/xmlparse.c
+++ lib/xmlparse.c
@@ -2563,6 +2563,8 @@
(int)(dataPtr - (ICHAR *)dataBuf));
if (s == next)
break;
+ if (ps_parsing == XML_FINISHED || ps_parsing == XML_SUSPENDED)
+ break;
*eventPP = s;
}
}

@ -1,14 +0,0 @@
http://expat.cvs.sourceforge.net/viewvc/expat/expat/lib/xmltok_impl.c?view=log (1.13 -> 1.15)
http://svn.python.org/view?view=rev&revision=74429
--- lib/xmltok_impl.c
+++ lib/xmltok_impl.c
@@ -1744,7 +1744,7 @@
const char *end,
POSITION *pos)
{
- while (ptr != end) {
+ while (ptr < end) {
switch (BYTE_TYPE(enc, ptr)) {
#define LEAD_CASE(n) \
case BT_LEAD ## n: \

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-1.1-r3.ebuild,v 1.5 2012/05/01 17:08:36 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-1.1-r3.ebuild,v 1.6 2012/05/28 16:30:27 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ HOMEPAGE="http://www.infradead.org/~tgr/libnl/"
SRC_URI="http://www.infradead.org/~tgr/libnl/files/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="1.1"
KEYWORDS="~alpha ~amd64 arm hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-linux ~ia64-linux ~x86-linux"
KEYWORDS="alpha ~amd64 arm hppa ia64 ~ppc ~ppc64 ~s390 sh sparc x86 ~amd64-linux ~ia64-linux ~x86-linux"
IUSE="doc"
DEPEND="doc? ( app-doc/doxygen )"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-3.2.7.ebuild,v 1.6 2012/04/29 16:41:33 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-3.2.7.ebuild,v 1.7 2012/05/28 16:30:27 armin76 Exp $
EAPI="4"
@ -11,7 +11,7 @@ HOMEPAGE="http://www.infradead.org/~tgr/libnl/"
SRC_URI="http://www.infradead.org/~tgr/libnl/files/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="3"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-linux ~ia64-linux ~x86-linux"
KEYWORDS="alpha amd64 arm hppa ia64 ~ppc ~ppc64 ~s390 sh sparc x86 ~amd64-linux ~ia64-linux ~x86-linux"
IUSE="static-libs utils"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-3.2.9.ebuild,v 1.4 2012/05/14 04:34:29 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnl/libnl-3.2.9.ebuild,v 1.5 2012/05/28 16:30:27 armin76 Exp $
EAPI=4
inherit eutils multilib
@ -10,7 +10,7 @@ HOMEPAGE="http://www.infradead.org/~tgr/libnl/"
SRC_URI="http://www.infradead.org/~tgr/libnl/files/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="3"
KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~amd64-linux ~ia64-linux ~x86-linux"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~s390 ~sh ~sparc ~x86 ~amd64-linux ~ia64-linux ~x86-linux"
IUSE="doc static-libs utils"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb-compat/libusb-compat-0.1.4.ebuild,v 1.6 2012/05/24 15:58:12 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb-compat/libusb-compat-0.1.4.ebuild,v 1.7 2012/05/28 18:24:47 maekke Exp $
EAPI=4
inherit eutils
@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN/-compat}/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-linux"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-linux"
IUSE="debug static-libs"
RDEPEND="virtual/libusb:1

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.9.ebuild,v 1.6 2012/05/24 14:27:08 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libusb/libusb-1.0.9.ebuild,v 1.7 2012/05/28 18:22:23 maekke Exp $
EAPI=4
@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="1"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 -x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 -x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="debug doc static-libs"
RDEPEND="!dev-libs/libusbx:1"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Any-Moose/Any-Moose-0.180.0.ebuild,v 1.6 2012/04/17 19:33:31 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Any-Moose/Any-Moose-0.180.0.ebuild,v 1.7 2012/05/28 16:06:40 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Use Moose or Mouse modules"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc sparc x86 ~ppc-macos"
KEYWORDS="amd64 hppa ppc x86 ~ppc-macos"
IUSE=""
RDEPEND="|| ( >=dev-perl/Mouse-0.40 dev-perl/Moose )

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/CGI-Session/CGI-Session-4.41.ebuild,v 1.5 2009/05/04 16:18:06 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/CGI-Session/CGI-Session-4.41.ebuild,v 1.6 2012/05/28 16:11:39 armin76 Exp $
EAPI=2
@ -11,7 +11,7 @@ DESCRIPTION="persistent session data in CGI applications "
LICENSE="|| ( Artistic GPL-2 )"
SLOT="0"
KEYWORDS="amd64 ia64 ~ppc sparc x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="test"
RDEPEND="virtual/perl-Digest-MD5

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/CGI-Session/CGI-Session-4.480.0.ebuild,v 1.4 2012/04/26 11:02:16 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/CGI-Session/CGI-Session-4.480.0.ebuild,v 1.5 2012/05/28 16:11:39 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="persistent session data in CGI applications "
SLOT="0"
KEYWORDS="amd64 ~hppa ~ia64 ~ppc ~sparc x86"
KEYWORDS="amd64 ~hppa ~ppc x86"
IUSE="test"
RDEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Crypt-Cracklib/Crypt-Cracklib-1.5.ebuild,v 1.4 2010/11/13 20:14:27 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Crypt-Cracklib/Crypt-Cracklib-1.5.ebuild,v 1.5 2012/05/28 15:58:45 armin76 Exp $
EAPI=3
@ -11,7 +11,7 @@ DESCRIPTION="Perl interface to Alec Muffett's Cracklib"
SLOT="0"
LICENSE="Artistic"
KEYWORDS="amd64 ia64 x86"
KEYWORDS="amd64 x86"
IUSE="test"
RDEPEND="sys-libs/cracklib"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Crypt-Cracklib/Crypt-Cracklib-1.700.0.ebuild,v 1.3 2012/04/24 12:37:34 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Crypt-Cracklib/Crypt-Cracklib-1.700.0.ebuild,v 1.4 2012/05/28 15:58:45 armin76 Exp $
EAPI=4
@ -12,7 +12,7 @@ DESCRIPTION="Perl interface to Alec Muffett's Cracklib"
SLOT="0"
LICENSE="Artistic"
KEYWORDS="amd64 ~ia64 x86"
KEYWORDS="amd64 x86"
IUSE="test"
RDEPEND="sys-libs/cracklib"

@ -0,0 +1,19 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# This ebuild generated by g-cpan 0.16.0
EAPI="2"
MODULE_AUTHOR="HARDAKER"
inherit perl-module
DESCRIPTION="Auto-GUI extending Getopt::Long"
LICENSE="|| ( Artistic GPL-1 GPL-2 GPL-3 )"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="virtual/perl-File-Temp
virtual/perl-Getopt-Long"

@ -0,0 +1 @@
DIST Getopt-GUI-Long-0.92.tar.gz 13872 RMD160 edbf350565dd77e4a3f758f1f3aa213bfdc33309 SHA1 be1a085f289ba0a6a11c927a52eed93851262e8c SHA256 100c67f3e716a20988c4fa852e2db422c6d8ddb6190faa68b030f3cb5636e640

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>perl</herd>
<maintainer>
<email>xmw@gentoo.org</email>
<name>Michael Weber</name>
</maintainer>
<upstream>
<remote-id type="cpan">Getopt-GUI-Long</remote-id>
</upstream>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/GnuPG-Interface/GnuPG-Interface-0.42.ebuild,v 1.11 2010/10/28 18:54:42 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/GnuPG-Interface/GnuPG-Interface-0.42.ebuild,v 1.12 2012/05/28 16:05:39 armin76 Exp $
EAPI=2
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="GnuPG::Interface is a Perl module interface to interacting with GnuPG."
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc sparc x86 ~ppc-macos"
KEYWORDS="amd64 hppa ppc x86 ~ppc-macos"
IUSE=""
RDEPEND=">=app-crypt/gnupg-1.2.1-r1

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/GnuPG-Interface/GnuPG-Interface-0.440.0.ebuild,v 1.1 2011/05/03 18:44:15 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/GnuPG-Interface/GnuPG-Interface-0.440.0.ebuild,v 1.2 2012/05/28 16:05:39 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="GnuPG::Interface is a Perl module interface to interacting with GnuPG."
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86 ~ppc-macos"
KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~ppc-macos"
IUSE=""
RDEPEND=">=app-crypt/gnupg-1.2.1-r1

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/GnuPG-Interface/GnuPG-Interface-0.450.0.ebuild,v 1.5 2012/05/06 20:21:31 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/GnuPG-Interface/GnuPG-Interface-0.450.0.ebuild,v 1.6 2012/05/28 16:05:39 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="GnuPG::Interface is a Perl module interface to interacting with GnuPG."
SLOT="0"
KEYWORDS="~alpha amd64 hppa ~ia64 ppc ~sparc x86 ~ppc-macos"
KEYWORDS="amd64 hppa ppc x86 ~ppc-macos"
IUSE=""
RDEPEND=">=app-crypt/gnupg-1.2.1-r1

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTTP-DAV/HTTP-DAV-0.38.ebuild,v 1.5 2009/10/28 18:11:14 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTTP-DAV/HTTP-DAV-0.38.ebuild,v 1.6 2012/05/28 16:00:56 armin76 Exp $
EAPI=2
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="A WebDAV client library for Perl5"
SLOT="0"
KEYWORDS="amd64 ia64 ~ppc sparc x86"
KEYWORDS="amd64 ~ppc x86"
IUSE=""
DEPEND="dev-perl/libwww-perl

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTTP-DAV/HTTP-DAV-0.460.0.ebuild,v 1.1 2012/01/11 13:22:28 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTTP-DAV/HTTP-DAV-0.460.0.ebuild,v 1.2 2012/05/28 16:00:56 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="A WebDAV client library for Perl5"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
RDEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTTP-DAV/HTTP-DAV-0.470.0.ebuild,v 1.3 2012/04/25 06:34:02 jdhore Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTTP-DAV/HTTP-DAV-0.470.0.ebuild,v 1.4 2012/05/28 16:00:56 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="A WebDAV client library for Perl5"
SLOT="0"
KEYWORDS="amd64 ~ia64 ~ppc ~sparc x86"
KEYWORDS="amd64 ~ppc x86"
IUSE=""
RDEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mouse/Mouse-0.40.ebuild,v 1.5 2010/08/28 17:03:56 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mouse/Mouse-0.40.ebuild,v 1.6 2012/05/28 16:07:40 armin76 Exp $
EAPI=2
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Moose minus the antlers"
SLOT="0"
KEYWORDS="alpha ~amd64 hppa ia64 ~ppc sparc ~x86"
KEYWORDS="~amd64 hppa ~ppc ~x86"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mouse/Mouse-0.930.0.ebuild,v 1.1 2011/05/19 13:44:12 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mouse/Mouse-0.930.0.ebuild,v 1.2 2012/05/28 16:07:40 armin76 Exp $
EAPI=4
@ -12,7 +12,7 @@ DESCRIPTION="Moose minus the antlers"
SRC_URI+=" mirror://gentoo/Mouse-0.64-ppport.h.bz2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86 ~ppc-macos"
KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~ppc-macos"
IUSE="test"
RDEPEND="virtual/perl-XSLoader"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mouse/Mouse-0.970.0.ebuild,v 1.2 2012/04/26 01:47:23 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mouse/Mouse-0.970.0.ebuild,v 1.3 2012/05/28 16:07:40 armin76 Exp $
EAPI=4
@ -12,7 +12,7 @@ DESCRIPTION="Moose minus the antlers"
SRC_URI+=" mirror://gentoo/Mouse-0.64-ppport.h.bz2"
SLOT="0"
KEYWORDS="~alpha ~amd64 hppa ~ia64 ~ppc ~sparc ~x86 ~ppc-macos"
KEYWORDS="~amd64 hppa ~ppc ~x86 ~ppc-macos"
IUSE="test"
RDEPEND="virtual/perl-XSLoader"

@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-IRC/Net-IRC-0.75.ebuild,v 1.13 2007/07/10 23:33:28 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-IRC/Net-IRC-0.75.ebuild,v 1.14 2012/05/28 17:10:19 armin76 Exp $
inherit perl-module
@ -10,7 +10,7 @@ HOMEPAGE="http://search.cpan.org/search?module=Net::IRC"
SLOT="0"
LICENSE="Artistic"
KEYWORDS="alpha amd64 ia64 ~mips ppc sparc x86"
KEYWORDS="amd64 ~mips ppc x86"
IUSE=""
SRC_TEST="do"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-IRC/Net-IRC-0.79.ebuild,v 1.5 2012/04/13 18:57:32 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Net-IRC/Net-IRC-0.79.ebuild,v 1.6 2012/05/28 17:10:18 armin76 Exp $
EAPI=2
MODULE_AUTHOR="APEIRON"
@ -10,7 +10,7 @@ DESCRIPTION="Perl IRC module"
SLOT="0"
LICENSE="Artistic"
KEYWORDS="~alpha amd64 ~ia64 ~mips ~ppc ~sparc x86"
KEYWORDS="amd64 ~mips ~ppc x86"
IUSE=""
SRC_TEST="do"

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.0100.ebuild,v 1.5 2009/10/28 18:07:53 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.0100.ebuild,v 1.6 2012/05/28 15:50:04 armin76 Exp $
EAPI=2
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Module of basic descriptive statistical functions"
SLOT="0"
KEYWORDS="amd64 ia64 ~ppc sparc x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="test"
DEPEND="virtual/perl-Module-Build

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.30.0.ebuild,v 1.1 2012/02/12 19:59:19 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.30.0.ebuild,v 1.2 2012/05/28 15:50:04 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Module of basic descriptive statistical functions"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.40.0.ebuild,v 1.3 2012/04/22 10:20:05 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.40.0.ebuild,v 1.4 2012/05/28 15:50:04 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Module of basic descriptive statistical functions"
SLOT="0"
KEYWORDS="amd64 ~ia64 ~ppc ~sparc x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.50.0.ebuild,v 1.1 2012/05/03 15:39:10 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.50.0.ebuild,v 1.2 2012/05/28 15:50:04 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Module of basic descriptive statistical functions"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.60.100.ebuild,v 1.1 2012/05/12 07:58:05 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.60.100.ebuild,v 1.2 2012/05/28 15:50:04 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Module of basic descriptive statistical functions"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.60.200.ebuild,v 1.1 2012/05/12 15:40:23 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.60.200.ebuild,v 1.2 2012/05/28 15:50:04 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Module of basic descriptive statistical functions"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.60.300.ebuild,v 1.1 2012/05/18 15:20:52 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Statistics-Descriptive/Statistics-Descriptive-3.60.300.ebuild,v 1.2 2012/05/28 15:50:04 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="Module of basic descriptive statistical functions"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~sparc ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Text-Unidecode/Text-Unidecode-0.40.0.ebuild,v 1.13 2012/05/16 14:23:07 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Text-Unidecode/Text-Unidecode-0.40.0.ebuild,v 1.14 2012/05/28 16:40:48 armin76 Exp $
EAPI=4
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="US-ASCII transliterations of Unicode text"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""
SRC_TEST=do

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/glib-perl/glib-perl-1.242.0.ebuild,v 1.7 2012/05/04 04:10:55 jdhore Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/glib-perl/glib-perl-1.242.0.ebuild,v 1.8 2012/05/28 16:08:04 armin76 Exp $
EAPI=4
@ -14,7 +14,7 @@ HOMEPAGE="http://gtk2-perl.sf.net/"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ppc64 ~sh ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 ~ppc ppc64 sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
IUSE=""
RDEPEND=">=dev-libs/glib-2"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/libintl-perl/libintl-perl-1.200.0.ebuild,v 1.14 2012/05/21 09:26:45 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/libintl-perl/libintl-perl-1.200.0.ebuild,v 1.16 2012/05/28 17:34:25 armin76 Exp $
EAPI=4
@ -13,7 +13,7 @@ HOMEPAGE="http://guido-flohr.net/projects/libintl-perl ${HOMEPAGE}"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""
SRC_TEST=do

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.1.4.ebuild,v 1.2 2011/12/14 10:39:53 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.1.4.ebuild,v 1.3 2012/05/28 19:38:23 xarthisius Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -29,7 +29,6 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/${MY_P}"
DOCS="docs/README AUTHORS"
WEBAPP_MANUAL_SLOT="yes"
pkg_setup() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.2.5.ebuild,v 1.4 2011/12/14 10:39:53 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.2.5.ebuild,v 1.5 2012/05/28 19:38:23 xarthisius Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -30,7 +30,6 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/${MY_P}"
DOCS="docs/README AUTHORS"
WEBAPP_MANUAL_SLOT="yes"
pkg_setup() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.3.1.ebuild,v 1.4 2011/12/14 10:39:53 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.3.1.ebuild,v 1.5 2012/05/28 19:38:23 xarthisius Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -30,7 +30,6 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/${MY_P}"
DOCS="docs/README AUTHORS"
WEBAPP_MANUAL_SLOT="yes"
pkg_setup() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.3.ebuild,v 1.3 2011/05/01 16:42:10 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.3.ebuild,v 1.4 2012/05/28 19:38:23 xarthisius Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -30,7 +30,6 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/${MY_P}"
DOCS="docs/* AUTHORS"
WEBAPP_MANUAL_SLOT="yes"
pkg_setup() {

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.4.ebuild,v 1.2 2012/04/01 17:19:53 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-1.4.ebuild,v 1.3 2012/05/28 19:38:23 xarthisius Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -30,7 +30,6 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/${MY_P}"
DOCS="docs/README AUTHORS"
WEBAPP_MANUAL_SLOT="yes"
pkg_setup() {

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-9999.ebuild,v 1.13 2011/12/21 07:06:46 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/django/django-9999.ebuild,v 1.14 2012/05/28 19:38:23 xarthisius Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -30,7 +30,6 @@ S="${WORKDIR}"
ESVN_REPO_URI="http://code.djangoproject.com/svn/django/trunk/"
DOCS="docs/README AUTHORS"
WEBAPP_MANUAL_SLOT="yes"
pkg_setup() {

@ -1,8 +1,9 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/html5lib/html5lib-0.95.ebuild,v 1.1 2012/05/19 21:45:29 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/html5lib/html5lib-0.95.ebuild,v 1.2 2012/05/28 19:26:03 xarthisius Exp $
EAPI="4"
PYTHON_DEPEND="2"
PYTHON_USE_WITH="xml"
SUPPORT_PYTHON_ABIS="1"
@ -17,17 +18,7 @@ SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE="examples"
IUSE=""
DEPEND="dev-python/setuptools"
RDEPEND=""
src_install() {
distutils_src_install
if use examples ; then
find examples -name "*.pyc" | xargs rm -fr
insinto "/usr/share/doc/${PF}"
doins -r examples || die "Installation of examples failed"
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/munkres/munkres-1.0.5.4.ebuild,v 1.1 2012/05/27 20:39:31 sochotnicky Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/munkres/munkres-1.0.5.4.ebuild,v 1.2 2012/05/28 23:22:37 jdhore Exp $
EAPI=4
SUPPORT_PYTHON_ABIS="1"
@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/oauthlib/oauthlib-0.1.3.ebuild,v 1.4 2012/05/09 03:51:47 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/oauthlib/oauthlib-0.1.3.ebuild,v 1.5 2012/05/28 17:56:14 maekke Exp $
EAPI="4"
@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="test"
RDEPEND="dev-python/rsa"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-musicbrainz-ngs/python-musicbrainz-ngs-0.2.ebuild,v 1.1 2012/05/28 08:43:39 sochotnicky Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-musicbrainz-ngs/python-musicbrainz-ngs-0.2.ebuild,v 1.2 2012/05/28 23:24:01 jdhore Exp $
EAPI=4
@ -13,7 +13,7 @@ SRC_URI="mirror://gentoo/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/requests/requests-0.12.1.ebuild,v 1.2 2012/05/08 23:06:57 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/requests/requests-0.12.1.ebuild,v 1.3 2012/05/28 17:58:22 maekke Exp $
EAPI="4"
PYTHON_DEPEND="*:2.6"
@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
DEPEND="dev-python/setuptools"

@ -1 +1,2 @@
DIST rope-0.9.3.tar.gz 218495 RMD160 c74e5af8221a8618ee8605c3a1ba0e26529d8c6d SHA1 47bc357e5765c387e1522d4bbe77493ce2964ebe SHA256 270ad551658e0bd05c17204aff268523e7c3aba6d1aa3665a8f928eb34cd2281
DIST rope-0.9.4.tar.gz 221516 RMD160 f73891b3d512f975172419e327adfb99ad10eaea SHA1 61f4c4f93ebe080e6a2c56da6087673197a316dd SHA256 2dc0342604851d8fbdafa198172eab5da7ed422759016669056181e21c54a6ba

@ -1,11 +1,13 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/rope/rope-0.9.3.ebuild,v 1.5 2012/04/12 15:44:54 xarthisius Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/rope/rope-0.9.3.ebuild,v 1.7 2012/05/28 21:23:50 floppym Exp $
EAPI="3"
PYTHON_DEPEND="2:2.5"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.4 3.*"
RESTRICT_PYTHON_ABIS="3.* *-jython"
PYTHON_TESTS_FAILURES_TOLERANT_ABIS="2.7-pypy-*"
inherit distutils eutils
@ -18,7 +20,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
DEPEND="dev-python/setuptools"
RDEPEND=""
src_prepare() {

@ -0,0 +1,37 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/rope/rope-0.9.4.ebuild,v 1.2 2012/05/28 21:23:50 floppym Exp $
EAPI="3"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.* *-jython"
PYTHON_TESTS_FAILURES_TOLERANT_ABIS="2.7-pypy-*"
inherit distutils
DESCRIPTION="Python refactoring library"
HOMEPAGE="http://rope.sourceforge.net/ http://pypi.python.org/pypi/rope"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-python/setuptools"
RDEPEND=""
src_test() {
testing() {
PYTHONPATH="build-${PYTHON_ABI}/lib:." "$(PYTHON)" ropetest/__init__.py
}
python_execute_function testing
}
src_install() {
distutils_src_install
docinto docs
dodoc docs/*.txt
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/rsa/rsa-3.0.1.ebuild,v 1.1 2012/05/08 22:35:40 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/rsa/rsa-3.0.1.ebuild,v 1.2 2012/05/28 17:54:18 maekke Exp $
EAPI="4"
@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.zip"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
RDEPEND=">=dev-python/pyasn1-0.0.13

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/simpleparse/simpleparse-2.1.1.ebuild,v 1.5 2012/05/18 06:02:46 jdhore Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/simpleparse/simpleparse-2.1.1.ebuild,v 1.6 2012/05/28 17:08:48 armin76 Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="as-is eGenixPublic-1.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~sparc x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="doc examples"
DEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/simpleparse/simpleparse-2.1.1_alpha2.ebuild,v 1.5 2012/02/20 15:06:34 patrick Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/simpleparse/simpleparse-2.1.1_alpha2.ebuild,v 1.6 2012/05/28 17:08:48 armin76 Exp $
EAPI="3"
PYTHON_DEPEND="2"
@ -17,7 +17,7 @@ SRC_URI="mirror://sourceforge/simpleparse/${MY_P}.tar.gz"
LICENSE="as-is eGenixPublic-1.1"
SLOT="0"
KEYWORDS="alpha amd64 ia64 ~ppc sparc x86"
KEYWORDS="amd64 ~ppc x86"
IUSE="doc examples"
DEPEND="dev-python/setuptools"

@ -1,3 +1,4 @@
DIST south-0.7.2.tar.gz 110527 RMD160 d449770b6027d03c415686881081bd87e5ada519 SHA1 de68b4f3f2953eab2848e672f537b63eb4bce631 SHA256 003fdcc1af01fda473d0f92f7f5afc25a75756a2a04acfb76c9a1d41a5db4211
DIST south-0.7.3.tar.gz 112673 RMD160 4c0a56139905624480f6b18b3ee3d81a7a13cb29 SHA1 f5a1e811f4c028874c7e617e7eba60d0a9e9dd71 SHA256 ab1c72cd013fab2ddbef3100f2bf7a7f3d9fbc7169cd3e6c181060c17fdeea97
DIST south-0.7.4.tar.gz 131682 RMD160 117b391d56bd363ab7aeadc4a17fcd08c213318b SHA1 645efa0d8bfa9f12bd58086313fb8b78e9adbeb4 SHA256 431aea5aee19944f3c18ffc44e873aa3444c40c6492900dfed9f0b47c7938c50
DIST south-0.7.5.tar.gz 134536 RMD160 8d612d027ad80960e90f97fa5e60de7b2859da7a SHA1 f378bd8d368613ed3b35aab4c01014ee6daf568e SHA256 e1f8bb50750b4e3eedf85106ea5d581488b6533885afdba91de81e07ac57ad12

@ -0,0 +1,70 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/south/south-0.7.5.ebuild,v 1.1 2012/05/28 19:30:56 dev-zero Exp $
EAPI="4"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.5 3.*"
inherit distutils
DESCRIPTION="Intelligent schema migrations for Django apps."
HOMEPAGE="http://south.aeracode.org/"
SRC_URI="https://bitbucket.org/andrewgodwin/south/get/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"
RDEPEND="dev-python/django"
DEPEND="${RDEPEND}
dev-python/setuptools
doc? ( dev-python/sphinx dev-python/jinja )"
# we are setting up the tests, but they fail
RESTRICT="test"
src_unpack() {
default
mv "${WORKDIR}"/*-south-* "${S}"
}
src_compile() {
distutils_src_compile
use doc && emake -C docs html
}
src_install() {
distutils_src_install
use doc && dohtml -r docs/_build/html/*
}
pkg_postinst() {
distutils_pkg_postinst
elog "In order to use the south schema migrations for your Django project,"
elog "just add 'south' to your INSTALLED_APPS in the settings.py file."
elog "manage.py will now automagically offer the new functions."
}
src_test() {
testing() {
mkdir -p "${T}/test-${PYTHON_ABI}"
cd "${T}/test-${PYTHON_ABI}"
django-admin.py-${PYTHON_ABI} startproject southtest || die "setting up test env failed"
cd southtest
sed -i \
-e "/^INSTALLED_APPS/a\ 'south'," \
-e 's/\(django.db.backends.\)/\1sqlite3/' \
-e "s/\(NAME': '\)/\1test.db/" \
southtest/settings.py || die "sed failed"
echo "SKIP_SOUTH_TESTS=False" >> southtest/settings.py
PYTHONPATH="${S}/build-${PYTHON_ABI}/lib" "$(PYTHON)" manage.py test south || die "tests failed"
}
python_execute_function testing
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/unidecode/unidecode-0.04.9.ebuild,v 1.2 2012/05/27 21:41:18 sochotnicky Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/unidecode/unidecode-0.04.9.ebuild,v 1.3 2012/05/28 23:21:18 jdhore Exp $
EAPI=4
@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/U/Unidecode/Unidecode-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""

@ -1 +0,0 @@
DIST XSV-2.7.tar.gz 140390 RMD160 94f218b99abf036846bf5bafd738a8508a6cf569 SHA1 8a91711e846b945c84b1ae4c47743d455dfe0b63 SHA256 bde597f4c46e85fc7fbec974a9e82787ec8c58ce5a5038dd73890b8a9e860c91

@ -1,13 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>python</herd>
<longdescription>
XSV (XML Schema Validator) is an open source (GPLed) work-in-progress
attempt at a conformant schema-aware processor, as defined by XML Schema
Part 1: Structures, May 2, 2001 (REC) version. It has been developed at
the Language Technology Group of the Human Communication Research Centre
in the Division of Informatics at the University of Edinburgh, with support
for one of us (Thompson) from the World Wide Web Consortium.
</longdescription>
</pkgmetadata>

@ -1,43 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/xsv/xsv-2.7.ebuild,v 1.10 2011/04/22 20:28:01 arfrever Exp $
EAPI="3"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.* *-jython"
inherit distutils
MY_PN="XSV"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Python XML Schema Validator"
HOMEPAGE="http://www.ltg.ed.ac.uk/~ht/xsv-status.html"
SRC_URI="ftp://ftp.cogsci.ed.ac.uk/pub/XSV/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~ppc x86"
IUSE=""
DEPEND=">=dev-python/pyltxml-1.3"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"
PYTHON_MODNAME="XSV"
src_install() {
distutils_src_install
dodoc xsv-status.xml pc-shrinkwrap || die "dodoc failed"
dohtml xsv-status.html || die "dohtml failed"
insinto /usr/share/doc/${PF}/examples
doins triv.xml triv.xsd tiny.xml tiny.xsd || die "doins failed"
delete_docs_and_examples() {
rm -fr "${ED}$(python_get_sitedir)/XSV/"{doc,example}
}
python_execute_function -q delete_docs_and_examples
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tix/tix-8.4.3.ebuild,v 1.9 2012/05/25 20:36:48 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tix/tix-8.4.3.ebuild,v 1.10 2012/05/28 18:02:13 maekke Exp $
EAPI="2"
@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/tix/${MY_P}-src.tar.gz"
IUSE=""
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~hppa ~ppc sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~hppa ~ppc sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
RESTRICT="test"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/desktop-file-utils/desktop-file-utils-0.20-r1.ebuild,v 1.9 2012/05/06 00:34:23 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/desktop-file-utils/desktop-file-utils-0.20-r1.ebuild,v 1.10 2012/05/28 16:35:50 armin76 Exp $
EAPI=4
inherit elisp-common eutils
@ -11,7 +11,7 @@ SRC_URI="http://www.freedesktop.org/software/${PN}/releases/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="emacs"
RDEPEND=">=dev-libs/glib-2.12

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/indent/indent-2.2.11-r1.ebuild,v 1.7 2012/05/16 14:19:34 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/indent/indent-2.2.11-r1.ebuild,v 1.8 2012/05/28 16:38:33 armin76 Exp $
EAPI=4
@ -12,7 +12,7 @@ SRC_URI="http://${PN}.isidore-it.eu/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="nls"
DEPEND="

@ -1,44 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/indent/indent-2.2.11.ebuild,v 1.8 2010/05/30 18:22:20 armin76 Exp $
EAPI="2"
inherit eutils
DESCRIPTION="Indent program source files"
HOMEPAGE="http://indent.isidore-it.eu/beautify.html"
SRC_URI="http://${PN}.isidore-it.eu/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="nls"
DEPEND="
nls? ( sys-devel/gettext )
app-text/texi2html
"
RDEPEND="nls? ( virtual/libintl )"
src_prepare() {
epatch "${FILESDIR}"/${PV}-segfault.patch
}
src_configure() {
# LINGUAS is used in aclocal.m4 (bug #94837)
unset LINGUAS
econf $(use_enable nls) || die "configure failed"
}
src_test() {
emake -C regression/ || die "regression tests failed"
}
src_install() {
emake \
DESTDIR="${D}" \
htmldir="/usr/share/doc/${PF}/html" \
install || die "make install failed"
dodoc AUTHORS NEWS README* ChangeLog*
}

@ -1,2 +1 @@
DIST intltool-0.50.0.tar.gz 142837 RMD160 5f5f881ac5945853df4a0d447d20ec5cd5bcc252 SHA1 b842d3b5f4de74371049cc366dee19083061c51a SHA256 dccfb0b7dd35a170130e8934bfd30c29da6ae73bcd3ca4ba71317c977b2893d6
DIST intltool-0.50.2.tar.gz 189483 RMD160 52b1c6aae5f5f0069d09cef8d709ab267c460319 SHA1 7fddbd8e1bf94adbf1bc947cbf3b8ddc2453f8ad SHA256 67f25c5c6fb71d095793a7f895b245e65e829e8bde68c6c8b4c912144ff34406

@ -1,21 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/intltool/intltool-0.50.0.ebuild,v 1.7 2012/02/12 14:42:20 armin76 Exp $
EAPI=4
DESCRIPTION="Internationalization Tool Collection"
HOMEPAGE="http://edge.launchpad.net/intltool/"
SRC_URI="http://edge.launchpad.net/intltool/trunk/${PV}/+download/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
DEPEND=">=dev-lang/perl-5.8.1
dev-perl/XML-Parser"
RDEPEND="${DEPEND}
sys-devel/gettext"
DOCS=( AUTHORS README TODO doc/I18N-HOWTO )

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/monotone/monotone-0.99.1-r1.ebuild,v 1.1 2012/01/01 01:13:34 idl0r Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/monotone/monotone-0.99.1-r1.ebuild,v 1.2 2012/05/28 19:45:30 zmedico Exp $
EAPI="4"
inherit bash-completion elisp-common eutils toolchain-funcs
@ -37,6 +37,7 @@ src_prepare() {
( $(gcc-major-version) -eq "3" && $(gcc-minor-version) -le 3 ) ]]; then
die 'requires >=gcc-3.4'
fi
epatch "${FILESDIR}/monotone-1.0-glibc-2.14-file-handle.patch"
}
src_configure() {

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/monotone/monotone-1.0-r2.ebuild,v 1.1 2012/01/01 01:13:34 idl0r Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/monotone/monotone-1.0-r2.ebuild,v 1.2 2012/05/28 19:45:30 zmedico Exp $
# QA failiures reported in https://code.monotone.ca/p/monotone/issues/181/
EAPI="4"
@ -41,6 +41,7 @@ src_prepare() {
fi
epatch "${FILESDIR}/monotone-1.0-bash-completion-tests.patch"
epatch "${FILESDIR}/monotone-1.0-botan-1.10.patch"
epatch "${FILESDIR}/monotone-1.0-glibc-2.14-file-handle.patch"
}
src_configure() {

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.392 2012/05/11 14:22:01 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.393 2012/05/28 16:45:57 phajdan.jr Exp $
# @ECLASS: eutils.eclass
# @MAINTAINER:
@ -1090,16 +1090,8 @@ preserve_old_lib_notify() {
fi
# temp hack for #348634 #357225
[[ ${PN} == "mpfr" ]] && lib=${lib##*/}
ewarn " # revdep-rebuild --library '${lib}'"
ewarn " # revdep-rebuild --library '${lib}' && rm '${lib}'"
done
if [[ ${notice} -eq 1 ]] ; then
ewarn
ewarn "Once you've finished running revdep-rebuild, it should be safe to"
ewarn "delete the old libraries. Here is a copy & paste for the lazy:"
for lib in "$@" ; do
ewarn " # rm '${lib}'"
done
fi
}
# @FUNCTION: built_with_use

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-arcade/opensonic/opensonic-0.1.4-r1.ebuild,v 1.2 2012/05/17 10:05:51 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/games-arcade/opensonic/opensonic-0.1.4-r1.ebuild,v 1.3 2012/05/28 17:49:08 hasufell Exp $
EAPI=3
@ -49,6 +49,10 @@ src_configure() {
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
}
src_install() {
cmake-utils_src_install
local i

@ -1,9 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/freecol/freecol-0.10.5.ebuild,v 1.1 2012/03/03 20:42:07 tupone Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/freecol/freecol-0.10.5.ebuild,v 1.2 2012/05/28 20:19:23 mr_bones_ Exp $
EAPI=2
inherit base eutils java-pkg-2 java-ant-2 games
DESCRIPTION="An open source clone of the game Colonization"
@ -27,7 +26,7 @@ DEPEND=">=virtual/jdk-1.5
RDEPEND=">=virtual/jre-1.5
${COMMON_DEP}"
S="${WORKDIR}"/${PN}
S=${WORKDIR}/${PN}
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
@ -75,10 +74,10 @@ src_install() {
--jar FreeCol.jar \
--java_args -Xmx512M
insinto "${GAMES_DATADIR}"/${PN}
doins -r data schema splash.jpg || die "doins failed"
doins -r data schema splash.jpg || die
doicon ${PN}.xpm
make_desktop_entry ${PN} FreeCol
dodoc README || die "dodoc failed"
dodoc README || die
prepgamesdirs
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save